OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs
script_scanner.hpp File Reference

Declarations of the class for the script scanner. More...

`#include <map>`
`#include "../fileio_func.h"`
`#include "../core/string_compare_type.hpp"`

Go to the source code of this file.

## Data Structures
class | ScriptScanner
| Scanner to help finding scripts. More...

## Typedefs
typedef std::map< const char *, class ScriptInfo *, StringCompare > | ScriptInfoList
| Type for the list of scripts.

## Detailed Description

Declarations of the class for the script scanner.

Definition in file script_scanner.hpp.